Bug Hunting Session
Bug 126605 - Sidebar: Setting textbox directionality with Hebrew text crashes Impress
Summary: Sidebar: Setting textbox directionality with Hebrew text crashes Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.2 rc
Hardware: All All
: highest critical
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0 target:6.3.0 target:6.2.7
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2019-07-30 02:56 UTC by Lior Kaplan
Modified: 2019-08-09 08:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt Windows (windbg) (38.88 KB, text/plain)
2019-07-30 13:33 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2019-07-30 02:56:16 UTC
Description:
After upgrading to LibO 6.3.0 RC2 setting textbox directionality (RTL or LTR) crashes Impress. Happens when text is in Hebrew (and probably in non-latin script).

Locale is en_US.UTF-8 and interface is LTR (in English).


Steps to Reproduce:
New presentation - > skipping the wizard -> entering some text (Hebrew) in the title text box -> setting direction to RTL from the properties menu -> crash.

Actual Results:
Crash

Expected Results:
text directionality changed to RTL.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Installed from Debian testing.

Version: 6.3.0.2
Build ID: 1:6.3.0~rc2-1
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Lior Kaplan 2019-07-30 02:57:35 UTC
Changing to NEW after reproduction with the help of LibreOffice RTL Telegram group.
Comment 2 Xisco Faulí 2019-07-30 09:51:14 UTC
Regression introduced by:

author	Xisco Fauli <xiscofauli@libreoffice.org>	2019-07-02 00:01:01 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-07-03 09:18:41 +0200
commit	e6c7a018a0cfee395ce2886d41c908a2447ef5cc (patch)
tree	724d0f4e4b62ea2cd91480ee10690585dbafa7a8
parent	c7f633d80f9ef5db60ad7218adf08a5914438e80 (diff)
tdf#126180: EndTextEdit on all views before delete/cut slide
Comment 3 Usama 2019-07-30 10:22:32 UTC
Happens also in Draw in insert text box. it doesn't need RTL text. Just paste any text then press the rtl icon from the toolbar directly without moving outside the text box

Version: 6.4.0.0.alpha0+
Build ID: c54597a8905b07807952aebc24237549302fb941
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-10_22:22:02
Locale: tr-TR (tr_TR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Julien Nabet 2019-07-30 13:33:00 UTC
Created attachment 153055 [details]
bt Windows (windbg)

On Win10 with master sources updated today, I could reproduce this.
Comment 5 Xisco Faulí 2019-07-30 13:58:18 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/76606/
Comment 6 Commit Notification 2019-07-30 16:40:43 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6eae30f631ec9b0f2b1415c06f4c36a3d6e13055%5E%21

tdf#126605: Do not end TextEdit when changing an attribute

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Lior Kaplan 2019-07-30 19:19:21 UTC
@xiscofauli - Can you make sure it goes into the 6-2, 6-3 and 6-3-0 branches? It's part of the gerrit change, but I didn't see the code on the branches.

6-3-0 being the most important, hopefully catching RC3.
Comment 8 Commit Notification 2019-07-31 13:23:46 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/ab1b1167b52f2fe73da921eb73abc299b497d3c2%5E%21

tdf#126605: Do not end TextEdit when changing an attribute

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-07-31 18:13:56 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-0":

https://git.libreoffice.org/core/+/0ccdba60ec06df45afb9d7bc99b35bf8f6604036%5E%21

tdf#126605: Do not end TextEdit when changing an attribute

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-08-01 08:55:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4155ed274d84135fc895d761d7ddcf0b462dccba%5E%21

tdf#126605: Do not end TextEdit when changing an attribute

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-08-09 08:51:49 UTC
Unfortunately it didn't make it to 6.2.6.2 release, so it will be reproducible in that version...